
#include <stdio.h>
#include "dmxoe.hh"


void usage (char *applname)
{
  printf ("\n%s [-c <slotcount> | -h <hostname> -p <port>]\n", applname);
}


int main (int argc, char* argv[])
{
  int             numslots = 200;
  char           *hostname = "255.255.255.255";
  unsigned short  port = 2501;

  for (int i=1; i<argc; i++)
    {
      if (argv[i][0]=='-')
        {
          switch (argv[i][1])
            {
              case 'c': if (++i>=argc)
                          {
                            usage (argv[0]);
                            return 0;
                          }
                        numslots = atoi(argv[i]);
                        break;

              case 'h': if (++i > argc)
                          {
                            usage(argv[0]);
                            return 0;
                          }
                        hostname = argv[i];
                        break;

              case 'p': if (++i>=argc)
                          {
                            usage (argv[0]);
                            return 0;
                          }
                        port = atoi(argv[i]);
                        break;
              default:
                        usage (argv[0]);
                        return 0;
            }
        }
      else
        {
          usage (argv[0]);
          return 0;
        }
    }

  printf ("sending %i slots\n", numslots);

  DMXoESocket dmx(hostname, numslots);

  if (dmx.IsConnected () < 0)
    {
      exit(0);
    }

  for (int k=0; k<255; k++)
    {
      for (int j=0; j<numslots; j++)
        dmx.setSlotValue (j, (k+2*j)%256);
      dmx.flush();
    }
}




